> For the complete documentation index, see [llms.txt](https://api.lampix.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.lampix.co/application-development/lampixjs/examples/movement-based-segmenter.md).

# MovementBasedSegmenter

`MovementBasedSegmenter` uses a convolutional neural network to classify objects. `MovementBasedSegmenter` can detect (i.e locate and classify) multiple objects at a time in the specified watcher shape.

Example usage:

```javascript
import lampix from '@lampix/core';

const watcher = {
  name: 'MovementBasedSegmenter',
  shape: {
    type: 'rectangle',
    data: {
      posX: 0,
      posY: 0,
      width: window.innerWidth,
      height: window.innerHeight
    }
  }
  params: {
    neural_network_name: 'fruits',
    filter_circle: { min_radius: 50, max_radius: 150, min_area_ratio: 0.7 },
    filter_area: { min_ratio: 3000, max_ratio: 70000 },
    filter_thresh: 55
  }
}

// Remember: .watchers.add always returns an array of registered watchers
// of the same length as the number of arguments passed to it
lampix.watchers.add(watcher)
  .then((listOfWatchers) => console.log(listOfWatchers[0]));
```

See [standard watchers](/application-development/standard-watchers.md) for more information MBS.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.lampix.co/application-development/lampixjs/examples/movement-based-segmenter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
